/*
 * start.c
 *
 *  Created on: 2014/04/24
 *      Author: ECS
 */

#include <kernel.h>
#include <kernel/kernel_impl.h>

void (*volatile software_term_hook)(void) = 0;

// Called on Reset, defined by vector table.
void _start(void)
{
    __asm("    .global _c_int00\n"
          "    b.w     _c_int00");
}

// Called by _c_init00.
int main(void)
{
	// CPU lock is required until the dispatch to task.
	__asm("    cpsid f");

    // Starting kernel
	sta_ker();
}
